<!DOCTYPE html>
<html>
<head>
    <title>Page d'accueil</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous">
</head>
<body>
    <div class="container">
        <h1 class="mt-3 mb-5">Page d'accueil</h1>
    <div class="row">
        <div class="col-md-6">
            <h2>Ajouter une machine :</h2>
            <form method="post" action="/add_machine">
                <div class="form-group">
                    <label for="new_ip">Adresse IP :</label>
                    <input type="text" class="form-control" id="new_ip" name="new_ip" required>
                </div>
                <button type="submit" class="btn btn-primary">Ajouter</button>
            </form>
        </div>
    </div>

    <div class="row mt-5">
        <div class="col-md-6">
            <h2>Machine SemaOS :</h2>
            {% for machine in machines %}
            <div class="card my-3">
                <div class="card-body">
                    <p class="card-text">IP: {{ machine['ip'] }}</p>
                    <form method="post" action="{{ machine['reboot_url'] }}">
                        <button type="submit" class="btn btn-primary">Redémarrer</button>
                    </form>
                    <form method="post" action="{{ machine['tableau_url'] }}">
                        <button type="submit" class="btn btn-primary">Tableau de Bord</button>
                    </form>
                    <form method="post" action="/remove_machine">
                        <input type="hidden" name="ip" value="{{ machine.ip }}">
                        <button type="submit" class="btn btn-danger">Supprimer</button>
                    </form>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>

    {% if message %}
        <p>{{ message }}</p>
    {% endif %}
</div>


